Skip to main content
PUT
/
api
/
v1
/
users
/
{user_id}
/
billing-details
Update Billing Details
curl --request PUT \
  --url https://connect.cariqa.com/api/v1/users/{user_id}/billing-details/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "line1": "<string>",
  "postal_code": "<string>",
  "country": "<string>",
  "city": "<string>",
  "account_type": "personal",
  "company_name": "<string>",
  "vat_id": "<string>",
  "first_name": "<string>",
  "last_name": "<string>"
}
'
{
  "line1": "<string>",
  "postal_code": "<string>",
  "country": "<string>",
  "city": "<string>",
  "account_type": "personal",
  "company_name": "<string>",
  "vat_id": "<string>",
  "first_name": "<string>",
  "last_name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cariqa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

user_id
string
required

Body

Serializer which is used to serialize data with the possible business details if exist

line1
string
required
postal_code
string
required
country
string | null
Maximum string length: 150
city
string | null
Maximum string length: 50
account_type
enum<string>
  • personal - personal
  • business - business
Available options:
personal,
business
company_name
string | null
vat_id
string | null
first_name
string | null
Maximum string length: 150
last_name
string | null
Maximum string length: 150

Response

Serializer which is used to serialize data with the possible business details if exist

line1
string
required
postal_code
string
required
country
string | null
Maximum string length: 150
city
string | null
Maximum string length: 50
account_type
enum<string>
  • personal - personal
  • business - business
Available options:
personal,
business
company_name
string | null
vat_id
string | null
first_name
string | null
Maximum string length: 150
last_name
string | null
Maximum string length: 150